## moc-applet.tar.gz

=== Makefile ===
# moc-applet: control the MOC audio player
# Copyright (C) 2006  Eric C. Cooper <ecc@cmu.edu>
# Released under the GNU General Public License *)

RESULT = moc_applet

SOURCES = info.ml moc.ml moc_applet.ml

INCDIRS = +lablgtk2
LIBS = unix lablgtk lablpanel

OCAMLMAKEFILE = /usr/share/ocaml-tools/OCamlMakefile
OCAMLFLAGS = -warn-error A -w s

all: native-code

include $(OCAMLMAKEFILE)
