=== debian/changelog ===
moc-applet (1.0) unstable; urgency=low

  * Initial version

 -- Eric Cooper <ecc@cmu.edu>  Wed, 22 Feb 2006 13:11:01 -0500
