=== debian/control ===
Source: moc-applet
Section: gnome
Priority: optional
Maintainer: Eric Cooper <ecc@cmu.edu>
Build-Depends: debhelper (>= 4.0), ocaml-nox (>= 3.09.1), ocaml-best-compilers, ocaml-tools, liblablgtk2-gnome-ocaml-dev, chrpath
Standards-Version: 3.6.2

Package: moc-applet
Architecture: any
Depends: ${shlibs:Depends}, ${F:OCamlRun}, moc
Description: control the MOC audio player from the Gnome panel
 A Gnome panel applet that displays the song being played by the MOC server
 and provides basic control buttons like play, pause, and stop.
