=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1

export DH_COMPAT=5

OCAMLABI = $(shell ocamlc -version)
BYTECODE = $(shell [ -x /usr/bin/ocamlopt ] || echo yes)
OCAMLRUN = $(if $(BYTECODE),ocaml-base-nox-$(OCAMLABI))

debian/control:
	sed -e 's/@OCamlABI@/$(OCAMLABI)/g' $@.in > $@

build: build-stamp
build-stamp:
	dh_testdir
	if [ -x /usr/bin/ocamlopt ]; then \
	    $(MAKE) native-code; \
	    chrpath --delete moc_applet; \
	else \
	    $(MAKE) byte-code; \
	fi
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	dh_install moc_applet usr/lib/gnome-applets
	dh_install moc_applet.server usr/lib/bonobo/servers

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installcatalogs
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_undocumented
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol -- -VF:OCamlRun="$(OCAMLRUN)"
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

# -*- makefile-mode -*-
